using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VeterinaryContracts.BindingModels;
using VeterinaryContracts.ViewModels;
using VeterinaryContracts.SearchModels;

namespace VeterinaryContracts.BusinessLogicContracts
{
	public interface IMedicationLogic
	{
		List<MedicationViewModel>? ReadList(MedicationSearchModel? model);
		MedicationViewModel? ReadElement(MedicationSearchModel model);
		bool Create(MedicationBindingModel model);
		bool Update(MedicationBindingModel model);
		bool Delete(MedicationBindingModel model);
	}
}
